//----------------------------------------------------------------------------
/// @file IInterface.h
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
/// \interface IInterface
//
/// \brief sample interface documentation that does not pull in any method documentation
/// \detail without the above declaration "\interface IInterface" nothing is generated for the interface
/// like it does automatically with the class. However even with the "\interface" it does not 
/// add the documentation for SampleMethod to the interface documentation
//----------------------------------------------------------------------------
interface IInterface
{
public:

	/*! sample method documentation that shows up for this class
	@param i	double i parameter
	@return		always returns 3 */
	virtual double SampleMethod(double i) = 0;
};